<template>
	<component v-if="dialog" :is="allComps[element]" ref="componentDetail" @closed="dialog = false"></component>
</template>

<script>
import supplierEval from "@/views/supplier/evaluation/components/detail";

export default {
	data() {
		return {
			allComps: {
				supplierEval
			},
			element: "supplierEval",

			dialog: false
		}
	},

	mounted() {
		this.dialog = true;
		this.$nextTick(() => this.$refs.componentDetail.open().setData(this.$route.query.businessId));
	}
}
</script>